{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./networking.nix

    ../../../modules
  ];

  networking.hostId = "dbca3142";
  networking.hostName = "thot";

  boot = {
    loader = {
      grub = {
        enable = true;
        efiSupport = true;
        zfsSupport = true;
        device = "nodev";
      };
    };

    initrd =
      {
      };

    zfs = {
      extraPools = [
        "head"
        "backups"
      ];
      forceImportAll = true;
    };
  };

  system.stateVersion = "24.05";
}
